# color.yaml should be placed in the directory that contains the imageset
imageset: 'Flattened' # calibratecolor.py and humancolor.py assume already flattened, rotated, etc.
basefile: '*-Q15-MegaVision120-F11-gain26_50' #'*' # or to disambiguate something like 'ColorChecker-QHY600-Milvus50-F11-gain26_15' 
visibleCaptures:
  - 'white6500-MegaVisionBlue'
  - 'white6500-MegaVisionGreen'
  - 'white6500-MegaVisionRed'
  - 'white2800-MegaVisionBlue'
  - 'white2800-MegaVisionGreen'
  - 'white2800-MegaVisionRed'
  - 'blue475-NoFilter'
  - 'blue475-MegaVisionBlue'
  - 'blue475-MegaVisionGreen'
  - 'uv405-MegaVisionBlue'
  - 'ir730-MegaVisionRed'
ignore: # experiment with including and ignoring captures
  - 'uv405-NoFilter'
  - 'ir730-NoFilter'
checker: 
  brand: 'Calibrite Colorchecker Passport'
  serial: '2024'
  owner: 'Todd Hanneken'
  data: 'https://palimpsest.stmarytx.edu/rodeo/2025/data/'
  note: 'Using online values prior to spectrophotometer measurements'
  1: 
    x: 620
    y: 7160
    w: 300
    h: 300
  2:
    x: 620
    y: 6435
    w: 300
    h: 300
  3:
    x: 620
    y: 5720
    w: 300
    h: 300
  4:
    x: 620
    y: 5000
    w: 300
    h: 300
  5: 
    x: 700
    y: 4200
    w: 300
    h: 300
  6: 
    x: 700
    y: 3500
    w: 300
    h: 300
  7: 
    x: 1400
    y: 7200
    w: 300
    h: 300
  8:
    x: 1400
    y: 6500
    w: 300
    h: 300
  9:
    x: 1400
    y: 5700
    w: 300
    h: 300
  10:
    x: 1400
    y: 5000
    w: 300
    h: 300
  11:
    x: 1400
    y: 4300
    w: 300
    h: 300
  12:
    x: 1400
    y: 3600
    w: 300
    h: 300
  13:
    x: 2100
    y: 7200
    w: 300
    h: 300
  14:
    x: 2100
    y: 6500
    w: 300
    h: 300
  15:
    x: 2100
    y: 5700
    w: 300
    h: 300
  16:
    x: 2100
    y: 5000
    w: 300
    h: 300
  17:
    x: 2100
    y: 4300
    w: 300
    h: 300
  18:
    x: 2200
    y: 3500
    w: 300
    h: 300
  19:
    x: 2900
    y: 7200
    w: 300
    h: 300
  20:
    x: 2900
    y: 6500
    w: 300
    h: 300
  21:
    x: 2900
    y: 5700
    w: 300
    h: 300
  22:
    x: 2900
    y: 5000
    w: 300
    h: 300
  23:
    x: 2900
    y: 4300
    w: 300
    w: 300
    h: 300
    h: 300
  24: 
    x: 2900
    y: 3500
    w: 300
    h: 300
  xyzvalues:
    filename: '../ColorChecker/checkerreference.yaml' # could also be in this file
    reference: 'checkerReferenceChromaxion'
msi2xyz: '../ColorChecker/msi2xyz-octopus-wheel-Q15-MegaVision120.txt' # must be specified what it should be even before it actually exists
suffix: 'octopus11band'
